<!-- This Jinja2 template retrieves the layout from layout.html -->
{% extends 'layout.html' %}

<!-- This fills in the 'block body' section of layout.html -->
{% block body %}

    <h1>Spotify meets Flask</h1>
    <p>This is here to play around with the Spotify API via the Python3 "Spotipy" library embedded in a Flask framework.</p>

    <!-- This pulls in the validation template and allows Flask-WTF fields to be rendered. -->
    {% from "includes/_formhelpers.html" import render_field %}
    
    <!-- This form with use the POST method and submit to itself. -->
    <form method="POST" action="">
        <!-- These present the different fields to the user. -->
        <div class="form-group"><strong>
            {{render_field(form.artistName,class_="form-control")}}
        </strong></div>
        <!-- We'll show a bit Submit button at the bottom. -->
        <p><input type="submit" class="btn btn-primary" value="Submit"></p>
    </form>
      
    <div class="text-center">
    <img class="bigArtistImage" src="{{image}}" />
    <p>

    </p>
    </div>
{% endblock %}